WCTOB(3)

NAME
wctob - convert a wide character to a single byte character

SYNOPSIS
#include <wchar.h>
int
wctob(wint_t wc);

DESCRIPTION
The wctob() function converts a wide character wc to a corresponding single byte character in the initial shift state of the current locale.

The behaviour of the wctob() is affected by the LC_CTYPE category of the current locale.

RETURN VALUES
The wctob() function returns:

EOF if wc is WEOF or if wc does not correspond to a valid single byte character representation.

(otherwise)
    a single byte character corresponding to wc.

ERRORS
No errors are defined.

SEE ALSO
btowc(3), setlocale(3), wcrtomb(3)

STANDARDS
The wctob() function conforms to isoC-amd1.